% Monte-Carlo Search Algoritm on low-autocorrelation program
% BSDLicence
% Rick van der Zwet - 0433373 - <hvdzwet@liacs.nl>
% $Id: mcs-call.m 46 2009-12-18 01:43:33Z rick $

% Brute-force result of length 20
% best_20 = [-1,1,1,-1,-1,-1,1,1,-1,1,-1,-1,-1,1,-1,1,1,1,1,1];

%% Basic variables
iterations = 1000;
length = 222;
repetitions = 1;

% Plot the stuff
[iteration_history, fitness_history] = mcs(length,iterations);

plot(iteration_history,fitness_history);
title(sprintf('Monte-Carlo Search on Low-Corretation set - repetitions %i',repetitions));
ylabel('fitness');
xlabel('iterations');
grid on;
legend(sprintf('Length %i',length));
print(sprintf('mcs-fitness-%f.eps',max(fitness_history)),'-depsc2');
max(fitness_history)

